Loading...
Searching...
No Matches
casacore::MSValidIds Class Reference
ms package (libcasa_ms) » MSOper_module

More...

`#include <MSValidIds.h>`

## Public Member Functions

| MSValidIds ()
| Construct one unattached to a MeasurementSet.
| MSValidIds (const MeasurementSet &ms)
| Construct one attached to the indicated MeasurementSet.
| MSValidIds (const MSValidIds &other)
| Construct one from another.
| ~MSValidIds ()
| The destructor.
MSValidIds & | operator= (const MSValidIds &other)
| Assignment operator, reference semantics.
void | attach (const MeasurementSet &ms)
| Attach this one to a MeasurementSet.
Int | antenna1 (rownr_t rownr) const
| These functions check on the validity of the appropriate value in the main table or sub-tables in the case of some Ids.
Int | antenna2 (rownr_t rownr) const
Int | dataDescId (rownr_t rownr) const
Int | fieldId (rownr_t rownr) const
Int | observationId (rownr_t rownr) const
Int | processorId (rownr_t rownr) const
Int | stateId (rownr_t rownr) const
Int | polarizationId (rownr_t rownr) const
| The polarizationId comes from the DATA_DESCRIPTION subtable, so dataDescId must first be valid in order for this to also be valid.
Int | spectralWindowId (rownr_t rownr) const
| The spectralWindowId comes from the DATA_DESCRIPTION subtable, so dataDescId must first be valid in order for this to also be valid.
Int | dopplerId (rownr_t rownr) const
| the dopplerId comes from the SPECTRAL_WINDOW subtable so spectralWindowId must first be valid in order for this to also be valid.
Int | sourceId (rownr_t rownr) const
| The sourceId comes from the FIELD subtable so fieldId must first be valid in order for this to also be valid.

## Private Member Functions

void | clear ()
Int | checkResult (Int testResult, const Table &mstable) const
Bool | checkRow (rownr_t rownr) const

## Private Attributes

MeasurementSet | ms_p
MSColumns * | romsCols_p
Bool | hasDoppler_p
Bool | hasSource_p

## Detailed Description

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- MeasurementSet

### Etymology

### Synopsis

### Example

### Motivation

### Thrown Exceptions

Definition at line 66 of file MSValidIds.h.

## Constructor & Destructor Documentation

## MSValidIds() [1/3]

casacore::MSValidIds::MSValidIds | ( |  | ) |

Construct one unattached to a MeasurementSet.

All functions return -1. Use the attach function to attach this to a MeasurementSet after construction.

Referenced by MSValidIds(), and operator=().

## MSValidIds() [2/3]

casacore::MSValidIds::MSValidIds | ( | const MeasurementSet & | ms | ) |

Construct one attached to the indicated MeasurementSet.

## MSValidIds() [3/3]

casacore::MSValidIds::MSValidIds | ( | const MSValidIds & | other | ) |

Construct one from another.

References MSValidIds().

## ~MSValidIds()

casacore::MSValidIds::~MSValidIds | ( |  | ) |

The destructor.

## Member Function Documentation

## antenna1()

Int casacore::MSValidIds::antenna1 | ( | rownr_t | rownr | ) | const

These functions check on the validity of the appropriate value in the main table or sub-tables in the case of some Ids.

The actual value stored is returned unless the sub-table does not exist (for optional subtables) or the indicated row number does not exist in that sub-table where appropriate.

## antenna2()

Int casacore::MSValidIds::antenna2 | ( | rownr_t | rownr | ) | const

## attach()

void casacore::MSValidIds::attach | ( | const MeasurementSet & | ms | ) |

Attach this one to a MeasurementSet.

This can also be used to re-attach to the same MeasurementSet when additional optional subtables have been added since this object was constructed.

## checkResult()

Int casacore::MSValidIds::checkResult | ( | Int | testResult,
|  | const Table & | mstable ) const

inline private

Definition at line 128 of file MSValidIds.h.

References casacore::Table::nrow().

## checkRow()

Bool casacore::MSValidIds::checkRow | ( | rownr_t | rownr | ) | const

inline private

Definition at line 131 of file MSValidIds.h.

References ms_p.

## clear()

void casacore::MSValidIds::clear | ( |  | ) |

private

## dataDescId()

Int casacore::MSValidIds::dataDescId | ( | rownr_t | rownr | ) | const

## dopplerId()

Int casacore::MSValidIds::dopplerId | ( | rownr_t | rownr | ) | const

the dopplerId comes from the SPECTRAL_WINDOW subtable so spectralWindowId must first be valid in order for this to also be valid.

Since the DOPPLER subtable is not simply indexed by DOPPLER_ID, the DOPPLER subtable exists and a dopplerId can be found in the SPECTRAL_WINDOW subtable, that value will be returned, whatever it is.

## fieldId()

Int casacore::MSValidIds::fieldId | ( | rownr_t | rownr | ) | const

## observationId()

Int casacore::MSValidIds::observationId | ( | rownr_t | rownr | ) | const

## operator=()

MSValidIds & casacore::MSValidIds::operator= | ( | const MSValidIds & | other | ) |

Assignment operator, reference semantics.

References MSValidIds().

## polarizationId()

Int casacore::MSValidIds::polarizationId | ( | rownr_t | rownr | ) | const

The polarizationId comes from the DATA_DESCRIPTION subtable, so dataDescId must first be valid in order for this to also be valid.

## processorId()

Int casacore::MSValidIds::processorId | ( | rownr_t | rownr | ) | const

## sourceId()

Int casacore::MSValidIds::sourceId | ( | rownr_t | rownr | ) | const

The sourceId comes from the FIELD subtable so fieldId must first be valid in order for this to also be valid.

Since the SOURCE table is also indexed by TIME, the only additional check is that a SOURCE table must exist in order for this to be valid.

## spectralWindowId()

Int casacore::MSValidIds::spectralWindowId | ( | rownr_t | rownr | ) | const

The spectralWindowId comes from the DATA_DESCRIPTION subtable, so dataDescId must first be valid in order for this to also be valid.

## stateId()

Int casacore::MSValidIds::stateId | ( | rownr_t | rownr | ) | const

## Member Data Documentation

## hasDoppler_p

Bool casacore::MSValidIds::hasDoppler_p

private

Definition at line 125 of file MSValidIds.h.

## hasSource_p

Bool casacore::MSValidIds::hasSource_p

private

Definition at line 125 of file MSValidIds.h.

## ms_p

MeasurementSet casacore::MSValidIds::ms_p

private

Definition at line 122 of file MSValidIds.h.

Referenced by checkRow().

## romsCols_p

MSColumns* casacore::MSValidIds::romsCols_p

private

Definition at line 123 of file MSValidIds.h.

The documentation for this class was generated from the following file:

- ms/MSOper/MSValidIds.h